Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class AdjustmentAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.AdjustmentAction

All Implemented Interfaces:
  AdjustmentListener, EventListener

public class AdjustmentAction
extends AbstractAction
implements AdjustmentListener

Actionimplementierung fuer AdjustmentEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`AdjustmentAction()`

Method Summary
`void` | `adjustmentValueChanged(AdjustmentEvent ae)`
`void` | `doAdjustmentValueChanged(AdjustmentEvent ae)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdjustmentAction

    public AdjustmentAction()

Method Detail

### adjustmentValueChanged

    public void adjustmentValueChanged(AdjustmentEvent ae)

  Specified by:
    `adjustmentValueChanged` in interface `AdjustmentListener`

### doAdjustmentValueChanged

    public void doAdjustmentValueChanged(AdjustmentEvent ae)
                                  throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ae` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD